Skip to main content
GET
/
agents
agents
curl --request GET \
  --url https://api.windermere.com/v1/api/agents \
  --header 'x-api-key: <api-key>'
[
  {
    "moxi_works_agent_id": "string",
    "agent_uuid": "string",
    "client_id_1": {},
    "client_id_2": "string",
    "client_auths": [],
    "facebook_account_id": "string",
    "client_agent_id": {},
    "auth_client_id": {},
    "mls_agent_id": {},
    "license": "string",
    "mls_name": "string",
    "mls_abbreviation": "string",
    "available_mls": [
      {
        "name": "string",
        "display_name": "string",
        "mls_abbreviation": "string",
        "agent_id": {}
      }
    ],
    "moxi_works_office_id": "string",
    "office_id": 0,
    "office_name": "string",
    "client_office_id": "string",
    "company_id": 0,
    "client_company_id": "string",
    "alternate_internal_office_id": {},
    "office_address_street": "string",
    "office_address_street2": {},
    "office_address_city": "string",
    "office_address_state": "string",
    "office_address_zip": "string",
    "office_mailing_address_street": "string",
    "office_mailing_address_street2": {},
    "office_mailing_address_city": "string",
    "office_mailing_address_state": "string",
    "office_mailing_address_zip": "string",
    "name": {},
    "first_name": {},
    "last_name": {},
    "nickname": {},
    "mobile_phone_number": {},
    "alt_phone_number": {},
    "fax_phone_number": {},
    "main_phone_number": "string",
    "office_phone_number": "string",
    "primary_email_address": "string",
    "secondary_email_address": "string",
    "lead_routing_email_address": {},
    "email_addresses": {
      "primary": "string",
      "display": "string",
      "alternate": "string",
      "moxi_sync": "string",
      "zillow": {},
      "lead_routing": {}
    },
    "bio": {},
    "title": "string",
    "designations": {},
    "uuid": "string",
    "has_product_access": true,
    "has_engage_access": true,
    "access_level": "string",
    "view_level": "string",
    "teams": [],
    "website_base_url": {},
    "twitter": {},
    "google_plus": {},
    "facebook": {},
    "instagram": {},
    "blogger": {},
    "youtube": {},
    "linked_in": {},
    "pinterest": {},
    "home_page": "string",
    "profile_image_url": "string",
    "profile_thumb_url": "string",
    "region": "string",
    "service_area_zip_codes": [],
    "agent_website": {
      "base_url": {},
      "bio_page_slug": {}
    },
    "alternate_offices": [],
    "partners": [],
    "company_programs": [],
    "source_metadata": [
      {
        "identifier_source": "string",
        "identifier_type": "string",
        "identifier_key": {}
      }
    ],
    "created_timestamp": 0,
    "deactivated_timestamp": {},
    "last_updated_timestamp": 0,
    "last_updated": 0,
    "modification_timestamp": "string",
    "profile_visible_online": true,
    "languages": [],
    "user_reviews": []
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

moxi_works_company_id
string
required

A valid MoxiWorks Company ID. Use Company Endpoint to determine what moxi_works_company_id you can use.

page_number
integer

For queries with multi-page responses, use the page_number parameter to return data for specific pages. Data for page 1 is returned if this parameter is not included. Use this parameter if total_pages indicates that there is more than one page of data available.

updated_since
integer

any Agent objects updated after this Unix timestamp will be returned in the response. If no updated_since parameter is included in the request, only Agent objects updated in the last seven days will be returned.

By default only Agent objects updated in the last seven days will be returned.

deactivated
boolean

To find Agent accounts deactivated within the specified timeframe, pass true for this boolean parameter.

deactivated_since
integer

any Agent objects deactivated after this Unix timestamp will be returned in the response. If no deactivated_since parameter is included in the request, only Agent objects deactivated in the last seven days will be returned.

By default only Agent objects deactivated in the last seven days will be returned.

include_access_level
boolean

To include access level information for the agent in the response, pass true

include_company_programs
boolean

To include company specific programs associated with the agent in the response, pass true.

include_partners
boolean

To include affiliate data associated with the agent in the response, pass true.

include_website
boolean

To include the base url (website_base_url) of the agent’s MoxiWorks website pass true.

include_reviews
boolean

To include ratings and reviews associated with the agent in the response, pass true.

include_bio
boolean

To include bio associated with the agent in the response, pass true.

parent_company_id
string

This is the numeric_id or moxi_works_company_id of a company that is considered to be a parent company in the MoxiWorks Platform. This request attribute has two functions:

  1. It provides for a broad scope by which partners may be afforded permissions to perform MoxiWorks Platform actions, in scenarios where a partner does business with a parent company in the MoxiWorks System.
  2. It provides broad scope under which agents may be looked up using the source_agent_id request attribute in many scenarios across different MoxiWorks Platform endpoints and actions.

Please note that this attribute cannot be used as a replacement for the moxi_works_company_id request attribute in scenarios where the moxi_works_company_id request attribute is required by the action.

Please note that this attribute cannot be used to broaden scope of any request where the scope of the request is defined by the moxi_works_company_id request attribute.

Please note that when passed in conjunction with the moxi_works_company_id request attribute, the value of moxi_works_company_id request attribute must be the numeric id form.

Any use of this request attribute must be coordinated with MoxiWorks Platform Partner services. Please reach out to partner services for more information.

moxi_works_office_id
string

A valid MoxiWorks Office ID. Use Office Endpoint to determine what moxi_works_office_id you can use.

has_company_programs
boolean

To include only Agent objects associated with company specific programs pass true.

timestamps_only
boolean

If supplied then the results will exclude all data except primary identifiers and a unix timestamp (last_updated) & iso8601 timestamp (modification_timestamp) of the last time this record was updated.

Response

200 - application/json
moxi_works_agent_id
string
required
agent_uuid
string
required
client_id_1
any
required
client_id_2
string
required
client_auths
array
required
facebook_account_id
string
required
client_agent_id
any
required
auth_client_id
any
required
mls_agent_id
any
required
license
string
required
mls_name
string
required
mls_abbreviation
string
required
available_mls
object[]
required
moxi_works_office_id
string
required
office_id
integer
required
office_name
string
required
client_office_id
string
required
company_id
integer
required
client_company_id
string
required
alternate_internal_office_id
any
required
office_address_street
string
required
office_address_street2
any
required
office_address_city
string
required
office_address_state
string
required
office_address_zip
string
required
office_mailing_address_street
string
required
office_mailing_address_street2
any
required
office_mailing_address_city
string
required
office_mailing_address_state
string
required
office_mailing_address_zip
string
required
name
any
required
first_name
any
required
last_name
any
required
nickname
any
required
mobile_phone_number
any
required
alt_phone_number
any
required
fax_phone_number
any
required
main_phone_number
string
required
office_phone_number
string
required
primary_email_address
string
required
secondary_email_address
string
required
lead_routing_email_address
any
required
email_addresses
object
required
bio
any
required
title
string
required
designations
any
required
uuid
string
required
has_product_access
boolean
required
has_engage_access
boolean
required
access_level
string
required
view_level
string
required
teams
array
required
website_base_url
any
required
twitter
any
required
google_plus
any
required
facebook
any
required
instagram
any
required
blogger
any
required
youtube
any
required
linked_in
any
required
pinterest
any
required
home_page
string
required
profile_image_url
string
required
profile_thumb_url
string
required
region
string
required
service_area_zip_codes
array
required
agent_website
object
required
alternate_offices
array
required
partners
array
required
company_programs
array
required
source_metadata
object[]
required
created_timestamp
integer
required
deactivated_timestamp
any
required
last_updated_timestamp
integer
required
last_updated
integer
required
modification_timestamp
string
required
profile_visible_online
boolean
required
languages
array
required
user_reviews
array
required